## reapr 1.0.18%2Bdfsg

=== debian/control ===
Source: reapr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libbamtools-dev,
               libtabixpp-dev,
               libhts-dev (>= 1.3),
               zlib1g-dev,
               asciidoctor,
               samtools (>= 1.3),
               bamtools,
               smalt,
               r-base,
               snpomatic,
               tabix,
               libfile-copy-link-perl
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/reapr.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/reapr.git
Testsuite: autopkgtest
Homepage: http://www.sanger.ac.uk/science/tools/reapr

Package: reapr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         samtools (>= 1.3),
         bamtools,
         smalt,
         r-base,
         snpomatic,
         tabix,
         libtabixpp0,
         libfile-copy-link-perl
Description: universal tool for genome assembly evaluation
 REAPR is a tool that evaluates the accuracy of a genome assembly using mapped
 paired end reads, without the use of a reference genome for comparison. It can
 be used in any stage of an assembly pipeline to automatically break incorrect
 scaffolds and flag other errors in an assembly for manual inspection. It
 reports mis-assemblies and other warnings, and produces a new broken assembly
 based on the error calls.
 .
 The software requires as input an assembly in FASTA format and paired reads
 mapped to the assembly in a BAM file. Mapping information such as the fragment
 coverage and insert size distribution is analysed to locate mis-assemblies.
 REAPR works best using mapped read pairs from a large insert library (at least
 1000bp). Additionally, if a short insert Illumina library is also available,
 REAPR can combine this with the large insert library in order to score each
 base of the assembly.
