## reapr 1.0.18+dfsg

=== debian/changelog ===
reapr (1.0.18+dfsg-7) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/watch: https is now an option for the Sanger FTP site.

  [ Andreas Tille ]
  * Fix clean target
    Closes: #1045461
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Dec 2024 22:47:35 +0100

reapr (1.0.18+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Drop hard-coded dependency on shared library. ${shlib:Depends} is
    working these days.
    Closes: #1068432

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  Update renamed lintian tag names in lintian overrides.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 05 Apr 2024 08:55:49 +0200

reapr (1.0.18+dfsg-5) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12
  * Secure URI in copyright format
  * Use secure URI in Homepage field.
  * Move source package lintian overrides to debian/source.
  * Update renamed lintian tag names in lintian overrides.
  * debian/rules: fix incorrect-path-for-interpreter

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 26 Dec 2019 16:22:02 +0100

reapr (1.0.18+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop unneeded Testsuite: autopkgtest
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jul 2018 16:18:20 +0200

reapr (1.0.18+dfsg-3) unstable; urgency=medium

  * Rearrange linking order to fix FTBFS with ld --as-needed
    (Thanks to Logan Rosen for the patch from Ubuntu)
  * Update maintainer email address.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 12 Jul 2016 08:47:26 +0000

reapr (1.0.18+dfsg-2) unstable; urgency=medium

  * make manpage building reproducible by not using ronn anymore
  * enable full hardening

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 16 Mar 2016 22:03:46 +0000

reapr (1.0.18+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #813385)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 25 Feb 2016 11:10:05 +0000
