=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

mandir := $(CURDIR)/debian/man
debfolder := $(CURDIR)/debian
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	cd src && $(MAKE)

override_dh_auto_install:
	mkdir -p debian/reapr/usr/lib/reapr
	install src/reapr.pl debian/reapr/usr/lib/reapr/reapr.pl
	chmod -x src/*.cpp
	find src -executable -exec install {} debian/reapr/usr/lib/reapr \;
	dh_auto_install --

override_dh_install:
	for pl in `grep -Rl '#!/usr/bin/env' debian/*/usr/*` ; do \
	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done

override_dh_installman:
	mkdir -p $(mandir)
	asciidoctor -a docdate='' -b manpage $(debfolder)/man_src/*.adoc
	cp $(debfolder)/man_src/*.? $(mandir)
	dh_installman --

override_dh_auto_clean:
	rm -rf $(debfolder)/man_src/*.html $(debfolder)/man_src/*.?
	rm -rf $(mandir)
	rm -rf $(debfolder)/test
	dh_auto_clean --

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir $(debfolder)/test
	ln -s $(CURDIR)/src/reapr.pl $(debfolder)/test/reapr
	PATH=$(PATH):$(CURDIR)/src:$(debfolder)/test $(debfolder)/tests/test-example
	rm -rf $(debfolder)/test
endif
