=== debian/watch ===
version=4
opts=pasv,repacksuffix=+dfsg,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
https://ftp.sanger.ac.uk/pub/resources/software/reapr/Reapr_([0-9.]+)\.tar\.gz
